org.codehaus.groovy.ast.stmt

## Class CaseStatement

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.stmt.Statement
    - - org.codehaus.groovy.ast.stmt.CaseStatement

-     public class CaseStatement
      extends Statement

  Represents a case statement in a switch statement

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CaseStatement(Expression expression, Statement code)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Statement` | `getCode()`
    `Expression` | `getExpression()`
    `void` | `setCode(Statement code)`
    `void` | `setExpression(Expression e)`
    `java.lang.String` | `toString()`
    `void` | `visit(GroovyCodeVisitor visitor)`

    - ### Methods inherited from class org.codehaus.groovy.ast.stmt.Statement

      `addStatementLabel, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`

    - ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

      `copyNodeMetaData, equals, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, getText, hashCode, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CaseStatement

          public CaseStatement(Expression expression,
                               Statement code)

  - ### Method Detail

    - #### getCode

          public Statement getCode()

    - #### setCode

          public void setCode(Statement code)

    - #### getExpression

          public Expression getExpression()

    - #### setExpression

          public void setExpression(Expression e)

    - #### visit

          public void visit(GroovyCodeVisitor visitor)

      Overrides:
        `visit` in class `ASTNode`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`